
From: Tom Rini <trini@kernel.crashing.org>

Borut Lukic <borutlukic@email.si> brought to my attention that in
platform_init() on 8260 the board hook was being called too early to allow for
overrides (e.g.  different memory sizings functions or rtc, or anything else).
 This moves the call to the end of platform_init() and I suspect fixes some
unnoticed yet bugs in a number of 8260 platforms.

Signed-off-by: Tom Rini <trini@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/syslib/m8260_setup.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/ppc/syslib/m8260_setup.c~ppc32-have-the-8260-board-hook-happen-a-bit-later arch/ppc/syslib/m8260_setup.c
--- 25/arch/ppc/syslib/m8260_setup.c~ppc32-have-the-8260-board-hook-happen-a-bit-later	Fri Nov 19 15:32:05 2004
+++ 25-akpm/arch/ppc/syslib/m8260_setup.c	Fri Nov 19 15:32:05 2004
@@ -242,9 +242,6 @@ platform_init(unsigned long r3, unsigned
 		strcpy(cmd_line, (char *)(r6+KERNELBASE));
 	}
 
-	/* Call back for board-specific settings. */
-	m82xx_board_init();
-
 	ppc_md.setup_arch		= m8260_setup_arch;
 	ppc_md.show_cpuinfo		= m8260_show_cpuinfo;
 	ppc_md.init_IRQ			= m8260_init_IRQ;
@@ -260,4 +257,7 @@ platform_init(unsigned long r3, unsigned
 
 	ppc_md.find_end_of_memory	= m8260_find_end_of_memory;
 	ppc_md.setup_io_mappings	= m8260_map_io;
+
+	/* Call back for board-specific settings and overrides. */
+	m82xx_board_init();
 }
_
